Sso\WebserviceBundle\Entity\ServiceProvider\Type\ServiceName:
    type: entity
    table: wssp_servicenames
    id:
        ServiceNameId:
            type: integer
            nullable: false
            id: true
            column: ServiceNameId
            generator:
                strategy: AUTO
    fields:
        ServiceName:
            type: string
            nullable: false
            length: 255
            fixed: false
            column: ServiceName
        ServiceActive:
            type: smallint
            nullable: false
            column: ServiceActive
    manyToMany:
        Services:
            targetEntity: Service
            inversedBy: ServiceNames
            joinTable:
                name: wssp_servicename2services
                joinColumns:
                    ServiceNameId:
                        referencedColumnName: ServiceNameId
                inverseJoinColumns:
                    ServiceId:
                        referencedColumnName: ServiceId
        Tokens:
            targetEntity: Token
            mappedBy: ServiceNames
    lifecycleCallbacks: {  }
